Bug 237841 - ACPI Error (psargs-0355)
ACPI Error (psargs-0355)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-04-25 12:59 EDT by Martin West
Modified: 2008-01-10 17:35 EST (History)
1 user (show)

See Also:
Fixed In Version: kernel-2.6.23.12-52.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-10 10:51:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin West 2007-04-25 12:59:14 EDT
Description of problem:

The following errors have just started appearing in the log after installing the
latest kernel ...

Apr 25 14:01:42 lenovo1 kernel: ACPI Error (psargs-0355): [PBST] Namespace
lookup failure, AE_NOT_FOUND
Apr 25 14:01:42 lenovo1 kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_SB_.PCI0.LPCB.BAT1._BST] (Node f7e47
540), AE_NOT_FOUND
Apr 25 14:01:42 lenovo1 kernel: ACPI Exception (acpi_battery-0207):
AE_NOT_FOUND, Evaluating _BST [20060707]
Apr 25 14:02:42 lenovo1 kernel: ACPI Error (psargs-0355): [PBST] Namespace
lookup failure, AE_NOT_FOUND
Apr 25 14:02:42 lenovo1 kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_SB_.PCI0.LPCB.BAT1._BST] (Node f7e47
540), AE_NOT_FOUND


Version-Release number of selected component (if applicable):

FC6 - 2.6.20-1.2944.fc6 #1 SMP

How reproducible:

Install the latest kernel on a lenovo n100

Steps to Reproduce:
1.
2.
3.
  
Actual results:

=========================================================

found this not sure if its relevant ...

http://www.gossamer-threads.com/lists/linux/kernel/758135



Expected results:


Additional info:
Comment 1 Chuck Ebbert 2007-04-25 14:04:34 EDT
The ususal question applies here: does this machine have the latest BIOS installed?
Comment 2 Martin West 2007-04-25 17:45:56 EDT
yeah, sorry should have included that info. It did a month or so ago. Ill check
again.
Comment 3 Martin West 2007-04-25 18:40:34 EDT
well there was an update but after installation still have the problem.
Comment 4 Chuck Ebbert 2007-04-25 18:46:03 EDT
What was the version of the previous kernel installed?
Did it output these messages?
Comment 5 Martin West 2007-04-25 19:23:02 EDT
I just booted the previous kernel and it was 2.6.20-1.2933.fc6 but it has the
error, I only keep two versions but I think it started appearing since the
update to 2.6.20 - I dont think the problem existed on the last 2.6.19 kernel.

It started appearing on Saturday after I did an update. I run ossec and it
picked up the error.
Comment 6 Martin West 2007-04-26 03:35:14 EDT
Im a tad puzzled - the yum log prior to the error was ...

Apr 20 23:33:10 Updated: wine-core.i386 0.9.35-1.fc6
Apr 20 23:33:11 Updated: wine-tools.i386 0.9.35-1.fc6
Apr 20 23:33:12 Updated: wine-esd.i386 0.9.35-1.fc6
Apr 20 23:33:13 Updated: wine-jack.i386 0.9.35-1.fc6
Apr 20 23:33:14 Updated: wine-nas.i386 0.9.35-1.fc6
Apr 20 23:33:14 Updated: wine-capi.i386 0.9.35-1.fc6
Apr 20 23:33:14 Updated: wine-ldap.i386 0.9.35-1.fc6
Apr 20 23:33:15 Updated: wine-cms.i386 0.9.35-1.fc6
Apr 20 23:33:15 Updated: wine-twain.i386 0.9.35-1.fc6
Apr 20 23:33:18 Updated: ppp.i386 2.4.4-1.3.fc6
Apr 20 23:33:19 Updated: pptp-release.noarch 4-1.fc6
Apr 20 23:33:19 Updated: wine.i386 0.9.35-1.fc6

Comment 7 Martin West 2007-04-26 04:11:16 EDT
K, the problem only happens when I have the battery plugged in and it occurs
when I log on to the machine. I normally dont have the battery in, it
considerably extends the battery life if you only have the battery when it is
neccessary. I was travelling on Saturday. Here is the portion of the log ...

Apr 26 09:02:53 lenovo1 smartd[3458]: smartd has fork()ed into background mode.
New PID=3458.
Apr 26 09:02:53 lenovo1 init: open(/dev/pts/0): No such file or directory
Apr 26 09:02:53 lenovo1 last message repeated 5 times
Apr 26 09:02:57 lenovo1 pcscd: winscard.c:219:SCardConnect() Reader E-Gate 0 0
Not Found
Apr 26 09:02:57 lenovo1 last message repeated 3 times
Apr 26 09:03:25 lenovo1 kernel: ACPI Error (psargs-0355): [PBST] Namespace
lookup failure, AE_NOT_FOUND
Apr 26 09:03:25 lenovo1 kernel: ACPI Error (psparse-0537): Method
parse/execution failed [\_SB_.PCI0.LPCB.BAT1._BST] (Node f7e474dc), AE_NOT_FOUND
Apr 26 09:03:25 lenovo1 kernel: ACPI Exception (acpi_battery-0207):
AE_NOT_FOUND, Evaluating _BST [20060707]
Apr 26 09:03:28 lenovo1 gconfd (martin-3752): starting (version 2.14.0), pid
3752 user 'martin'

So I think it has started happening since I moved up to 2.6.20.

Thanks
Comment 8 Chuck Ebbert 2007-04-27 10:01:42 EDT
Does this cause any visible problems other than the messages?
Comment 9 Martin West 2007-04-27 11:27:17 EDT
Not that Ive noticed, I only noticed it because ossec alerted me to it.
Comment 10 Jon Stanley 2008-01-07 20:52:51 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 11 Martin West 2008-01-08 14:35:57 EST
It still exists. It will take me a few days to upgrade to FC8.
Comment 12 Martin West 2008-01-10 03:07:04 EST
Having problems upgrading to 8 ...

Transaction Check Error:
  package kernel-2.6.23.12-52.fc7.i686 (which is newer than
kernel-2.6.23.9-85.fc8.i686) is already installed

but the problem has not occurred on the FC7 kernel.
Comment 13 Jon Stanley 2008-01-10 10:51:29 EST
Yeah, you'd have to upgrade via anaconda and then update again, since this is a
recently updated F7 system (that's theoretical, I've never actually tried it
though I might tonight).  At any rate, I'm happy to here that the problem
doesn't exist any longer, and will go ahead and close this out as CURRENTRELEASE.
Comment 14 Martin West 2008-01-10 17:35:05 EST
I did 

yum remove kernel-2.6.23.9-85.fc8.i686

yum install kernel

yum upgrade

Thanks

Note You need to log in before you can comment on or make changes to this bug.